@import url("https://fonts.googleapis.com/css?family=Oswald:300,400,500&display=swap&subset=latin-ext");
html {
  margin-top: 0px !important;
}
body {
  scroll-snap-type: y mandatory; /* Engedélyezi a vertikális görgetési pontokat */
  overflow-y: scroll; /* Engedélyezi a vertikális görgetést */
  background-color: #000;
}
#wpadminbar {
  display: none;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Oswald", sans-serif;
}

a {
  color: #fff;
  font-weight: bold;
}
.wrapper {
  padding: 0;
}
.h3,
h3 {
  font-size: 2rem;
}
iframe {
  max-width: 100%;
}
#wrapper-footer-full,
#wrapper-static-hero {
  padding: 30px 25px;
  background-color: #000;
}
#wrapper-footer-full .wp-block-image {
  max-width: 100px;
}

.event-info {
  text-align: left;
}
.event-list .startdate,
.event-list .enddate {
  padding: 6px;
  border-radius: 6px;
  background-color: rgb(49, 49, 49);
  color: #fff;
}

.so-widget-sow-post-carousel-default-8b94ca7e34fe
  .sow-carousel-wrapper
  .sow-carousel-items
  .sow-carousel-item
  .sow-carousel-thumbnail
  a
  span.overlay {
  background: #fff;
}

.container {
  max-width: 960px;
}

/*
   * Extra utilities
   */

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, 0.05);
}

.flex-equal > * {
  -ms-flex: 1;
  -webkit-box-flex: 1;
  flex: 1;
}
#logo-animation {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(
    -50%,
    -50%
  ); /* Visszahúzás a saját méretének a felével, hogy tényleges középpontban legyen */
  z-index: 999;
  width: 220px;
  height: auto;
}

#logo-animation #vj_logo_reveal {
  width: 220px;
  height: auto;
  display: block;
}
#logo-animation .vj_path_1 {
  fill: none;
  stroke: #eee;
  stroke-width: 2px;
  stroke-dasharray: 1350;
  stroke-dashoffset: -1350;
  animation: draw1 0.85s forwards;
  animation-delay: 100ms;
  transform: scale(0.95);
  transform-origin: center;
  opacity: 0;
}
#logo-animation .vj_path_2 {
  fill: none;
  stroke: #eee;
  stroke-width: 2px;
  stroke-dasharray: 1350;
  stroke-dashoffset: -1350;
  animation: draw2 0.85s forwards;
  transform: scale(0.9);
  transform-origin: center;
  opacity: 0;
}

@keyframes draw1 {
  to {
    stroke-width: 5px;
    stroke-dasharray: 2100;
    stroke-dashoffset: 0;
    transform: scale(1);
    transform-origin: center;
    opacity: 1;
  }
}
@keyframes draw2 {
  to {
    stroke-width: 5px;
    stroke-dasharray: 2100;
    stroke-dashoffset: 0;
    transform: scale(1);
    transform-origin: center;
    opacity: 1;
  }
}
@keyframes fill {
  0% {
    opacity: 1;
    transform: scale(1);
    stroke-width: 5px;
    stroke-dasharray: 2100;
    stroke-dashoffset: 0;
    fill: #000;
  }
  50% {
    opacity: 1;
    transform: scale(1);
    stroke-width: 0;
    stroke-dasharray: 2100;
    stroke-dashoffset: 0;
    fill: #eee;
    filter: blur(0px);
    opacity: 1;
  }
  100% {
    opacity: 1;
    transform: scale(1);
    stroke-width: 0;
    stroke-dasharray: 2100;
    stroke-dashoffset: 0;
    fill: #eee;
    filter: blur(20px);
    opacity: 0;
  }
}

.overflow-hidden {
  overflow: hidden;
}
#wrapper-navbar {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1;
}

.bg-valentin {
  background-color: transparent !important;
}
.header-centering {
  display: flex;
  text-align: center;
  margin: 0 auto;
}
.navbar-brand {
  opacity: 0;
  margin-right: -35px;
  animation: brand-fadein 1s forwards;
  animation-delay: 1250ms;
}
#wrapper-navbar svg {
  width: 48px;
  fill: rgb(255, 255, 255);
}
.site-header {
  background-color: rgba(0, 0, 0, 0.85);
  -webkit-backdrop-filter: saturate(180%) blur(20px);
  backdrop-filter: saturate(180%) blur(20px);
}
.site-header a {
  color: #999;
  transition: ease-in-out color 0.15s;
}
.site-header a:hover {
  color: #fff;
  text-decoration: none;
}
.navbar-toggler {
  border: 0;
}
.navbar-toggler:focus {
  box-shadow: none;
}

#main-menu, #social-menu {
  backdrop-filter: blur(3px);
  -webkit-backdrop-filter: blur(3px); /* Safari támogatás */
  background-color: rgba(
    255,
    255,
    255,
    0.7
  ); /* Biztosítja az átlátszatlanságot */
  border-radius: 30px;
  margin-left: 14px;
  position: relative; /* Fontos, hogy ne legyen 'static' */
  z-index: 2; /* Biztosítja, hogy az elem vizuálisan az előtérben legyen */
  opacity: 0;
  animation: nav-fadein 1s forwards ease-out;
  animation-delay: 1500ms;
}
#social-menu svg {
  fill: #000000;
  width: 22px;
  max-width: 22px;
  height: 22px;
  max-height: 22px;
}

#main-menu .nav-link, #social-menu .nav-link {
  color: #000;
  padding: 10px 4px 0 4px;
  animation: nav-links-fadein 1s forwards ease-out;
  animation-delay: 1200ms;
}
#social-menu .nav-link {
  animation: social-links-fadein 1s forwards ease-out;
  padding: 0px;

}
#main-menu .nav-link:hover, #social-menu .nav-link:hover {
}

#main-menu li:first-child{
  margin-left: 20px;
}

#main-menu li:last-child {
  margin-right: 20px;
}
#social-menu li:first-child {
  margin-left: 10px;
}

#social-menu li:last-child {
  margin-right: 10px;
}

.nav-link::after {
  content: "";
  display: block;
  position: relative;
  bottom: 0px;
  width: 0;
  height: 0;
  max-height: 8px;
  border-top: 0 solid transparent;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-bottom: 8px solid rgba(0, 0, 0, 0.95); /* Háromszög színe */
  left: calc(50% - 3px);
  margin-bottom: 0px;
  opacity: 0;
  transition: 100ms;
}

.nav-link[data-section-visible="true"]::after {
  opacity: 0.9;
  border-top: 0 solid transparent;
  border-left: 3px solid transparent;
  border-right: 3px solid transparent;
  border-bottom: 6px solid rgba(0, 0, 0, 0.95); /* Háromszög színe */
  transition: 200ms;
}
body.single #single-wrapper{
  margin-top:120px;
  min-height:400px;
}
#sections {
  opacity: 0;
  animation: fadein 1s forwards;
  animation-delay: 1650ms;
}
section {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}
.latest-section,
.shows-section,
.gear-section,
 .bio-section{
  height: 100vh; /* Teljes képernyő magasságát foglalja el */
  display: flex;
  align-items: center;
  justify-content: center;
}
.hero-section {
  scroll-snap-align: start; /* Segít a szekciók pontos pozícionálásában görgetéskor */
}
section[data-section-visible="false"] {
  opacity: 0;
  background-position: bottom;
  transition: 800ms;
}
section[data-section-visible="true"] {
  opacity: 1;
  background-position: center;
  transition: 800ms;
}
#feed_container {
  margin-top: 120px;
}
section[data-section-visible="true"] #event_container,
section[data-section-visible="true"] #gear_container,
section[data-section-visible="true"] #bio_container{
  opacity: 0;
  animation: fadein 1s forwards, padding-top-fadein 0.66s forwards;
  animation-delay: 250ms;
  padding-top: 25px;
}
section[data-section-visible="true"] #feed_container {
  opacity: 0;
  animation: fadein 1s forwards, padding-top-fadein 0.66s forwards;
  animation-delay: 2000ms;
  padding-top: 25px;
}
section[data-section-visible="true"] #vj_disco_container {
  opacity: 0;
  animation: fadein 1s forwards;
  animation-delay: 250ms;
  padding-top: 0;
}
#event_container_offset {
  transition: 300ms;
}

.moreevents {
  display: none;
}
.latest-section {
}
.shows-section[data-section-visible="false"] {
  background-position: center;
  background-attachment: initial;
}
.shows-section[data-section-visible="true"] {
  background-position: top;
  background-attachment: fixed;
}
.gear-section {
}

.hero-muted {
  background: rgba(0, 0, 0, 0.75);
  backdrop-filter: blur(10px);
  border-radius: 20px;
  outline: 1px solid rgba(80, 80, 80, 0.2);
}

ul.event-list-view,
ul.single-event-view {
  list-style: none !important;
  margin: 1.5em 0 2em 0;
  padding: 0;
}
li.event {
  clear: both;
  margin: 0 0.5em 1.5em 0.5em;
}
.event-date {
  float: left;
  margin: 0 1em 1.5em 0;
}
.event-list .startdate {
  float: left;
}
.event-weekday {
  font-size: 0.8em;
  text-transform: uppercase;
}
.event-day {
  font-size: 1.3em;
  font-weight: bold;
  line-height: 1em;
  margin-bottom: -0.2em;
}
.event-month {
  text-transform: uppercase;
  font-size: 1em;
  line-height: 1em;
  padding: 0.4em 0;
}
.event-year {
  font-size: 0.8em;
  line-height: 0.8em;
  letter-spacing: 0.1em;
  padding-bottom: 0.3em;
}
.event-time {
  font-weight: bold;
  padding-right: 0.8em;
}
.event-location {
  margin-left: 0.3em;
}
.event-title h5, .event-title .event-band{
display:inline;
}
.event-title .event-band {
  padding-left: 0.5em;
}
#vj_disco_container .lemez {
  min-height: 216px;
}
.lemez img {
  width: 100%;
}
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  backdrop-filter: blur(30px);
  -webkit-backdrop-filter: blur(30px);
  color: #fff;
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 4;
  overflow-y: auto;
}
.overlay-container {
  margin-top: 25px;
}
.overlay .back-button,
.overlay .back-button-page {
  cursor: pointer;
  display: block;
  width: 40px;
  height: 40px;
  margin-left: -17px;
}
.overlay-text {
  font-weight: 400;
  /* padding:20px; */
}

.overlay-text .post-meta {
  font-weight: 600;
}
.overlay-text .post-meta i.fa {
  width: 17px;
  height: 17px;
  font-size: 17px;
  text-align: center;
  margin: 0 auto;
  padding: 0px;
}
.overlay-text .overlay-postimg {
  width: 100%;
}
.overlay-img {
  background-size: 100% auto;
  background-repeat: no-repeat;
  background-position: top right;
  min-height: 520px;
}
.fa-container {
  display: inline-block;
  background: #fff;
  text-align: center;
  margin: 0 8px auto 0;
  padding: 4px 8px;
  border-radius: 40px;
  color: #fff;
}
.post-meta p,
.post-meta li {
  display: flex; /* Flexbox használata az elemek igazításához */
  align-items: center; /* Függőleges középre igazítás */
  gap: 8px; /* Térköz a piktogramok és a szöveg között */
}
.post-meta {
  margin-top: 20px;
}
.overlay-text .post-meta li {
  margin-left: 10px;
}
.overlay-text .post-meta-item {
  margin: 7px 0;
}
.overlay-text .post-meta-item a {
  text-decoration: none;
}
@keyframes nav-fadein {
  to {
    opacity: 1;
  }
}
@keyframes nav-links-fadein {
  to {
    padding: 10px 14px 0 14px;
  }
}
@keyframes social-links-fadein {
  to {
    padding: 7px 6px 2px 6px;
  }
}
@keyframes brand-fadein {
  to {
    margin-right: 0px;
    opacity: 1;
  }
}
@keyframes nav-logo-fadein {
  to {
    width: 42px;
  }
}
@keyframes fadein {
  to {
    opacity: 1;
  }
}
@keyframes padding-top-fadein {
  to {
    padding-top: 25px;
  }
}

@media (min-width: 768px) {
  .flex-md-equal > * {
    -ms-flex: 1;
    -webkit-box-flex: 1;
    flex: 1;
  }
}

@media (max-width: 767.98px) {
  #logo-animation .vj_path_1,
  #logo-animation .vj_path_2 {
    animation: none;
    opacity: 1;
  }
  #main-menu, #social-menu {
    animation-delay: 0ms;
    margin-left: 20px;
    margin-right: 20px;
  }
  #main-menu li:first-child, #social-menu li:first-child {
    margin-left: 0;
  }

  #main-menu li:last-child, #social-menu li:last-child {
    margin-right: 0;
  }
  .navbar-collapse {
    position: absolute;
    right: 0vw;
    left: 0vw;
    z-index: 9999;
  }
  .overlay .overlay-coldivider {
    margin: 0 !important;
  }
  .overlay h2 {
    margin-top: 1rem;
    margin-bottom: 1rem;
  }
  .overlay .back-button,
  .overlay .back-button-page {
    margin-left: 10px;
    margin-top: 10px;
  }
  .latest-section {
    background-position: 72% !important;
  }
  .shows-section[data-section-visible="true"] {
    background-attachment: initial;
    background-size: auto 100%;
  }
  .disco-section[data-section-visible="true"] {
  }
  #footerfull-l,
  #footerfull-r {
    display: block !important;
    width: 100%;
  }
  #footerfull-l .footer-widget,
  #footerfull-r .footer-widget {
  }
}
@media (max-width: 1024px) {
  .latest-section,
  .shows-section,
  .gear-section,
   .bio-section{
    height: auto;
    min-height: 100vh; /* Teljes képernyő magasságát foglalja el */
    display: block;
    align-items: unset;
    justify-content: unset;
  }
}
